<div class="container" *ngIf="sessionUser.role == Role.ADMIN || sessionUser.role == Role.USER">
  <h3 class="title has-text-centered">Team Chat</h3>
  <div *ngFor="let msg of messages">
    <div class="box" id="chatBox">
      <article class="media">
        <figure class="media-left">
          <p class="image is-64x64">
            <img src="./assets/favicon_neu.png">
          </p>
        </figure>
        <div class="media-content">
          <div class="content">
            <p>
              <strong>{{msg.username}}</strong>
              {{ msg.date }}
            </p>
            <p>
              {{msg.message}}
            </p>
          </div>
        </div>
      </article>
    </div>
  </div>


  <form class="container" id="chatBox" #messageForm="ngForm">

    <div class="field">
      <label class="label">New Message</label>
      <div class="control">
        <input class="input" placeholder="Your Message" name="message" type="text" #msg="ngModel"
               [ngClass]="{'is-danger': !msg.valid && !msg.pristine, 'is-success': msg.valid}"
               [(ngModel)]="message.message"
               required>
      </div>
      <p class="help is-danger" *ngIf="!msg.valid && !msg.pristine">Please enter a message</p>
    </div>

    <div class="field is-grouped">
      <div class="control">
        <button class="button" (click)="createMessage()" type="submit" [disabled]="!messageForm.form.valid">Submit
          Message
        </button>
      </div>
    </div>
  </form>
</div>
